.ant-menu-vertical > .ant-menu-item,
.ant-menu-vertical-left > .ant-menu-item,
.ant-menu-vertical-right > .ant-menu-item,
.ant-menu-inline > .ant-menu-item,
.ant-menu-vertical > .ant-menu-submenu > .ant-menu-submenu-title,
.ant-menu-vertical-left > .ant-menu-submenu > .ant-menu-submenu-title,
.ant-menu-vertical-right > .ant-menu-submenu > .ant-menu-submenu-title,
.ant-menu-inline > .ant-menu-submenu > .ant-menu-submenu-title {
  height: 20px;
  line-height: 20px;
}
.ant-menu-sub.ant-menu-inline > .ant-menu-item,
.ant-menu-sub.ant-menu-inline > .ant-menu-submenu > .ant-menu-submenu-title {
  height: 16px;
  line-height: 16px;
  list-style-position: inside;
  list-style-type: disc;
  padding-left: 30px;
}
.ant-menu-root.ant-menu-vertical,
.ant-menu-root.ant-menu-vertical-left,
.ant-menu-root.ant-menu-vertical-right,
.ant-menu-root.ant-menu-inline {
  padding: 80px 0px 30px;
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #f2f2f2;
  font-weight: bold;
  font-size: 14px;
}
.ant-menu-sub.ant-menu-inline {
  padding: 0;
  border: 0;
  border-radius: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
  background: #f2f2f2;
  font-size: 10px;
  font-weight: normal;
}
.ant-menu-sub.ant-menu-inline > .ant-menu-item,
.ant-menu-sub.ant-menu-inline > .ant-menu-submenu > .ant-menu-submenu-title {
  height: 16px;
  line-height: 16px;
  list-style-position: inside;
  list-style-type: disc;
  color: #333333;
  margin-left: -15px;
  // padding-left: -10px;
  a {
    color: #333333;
    text-decoration: none;
    // margin-left: -10px;
  }
  a:hover {
    color: #333333;
    text-decoration: none;
  }
}
.ant-menu-sub.ant-menu-inline:hover > .ant-menu-item:hover,
.ant-menu-sub.ant-menu-inline:hover
  > .ant-menu-submenu:hover
  > .ant-menu-submenu-title:hover {
  height: 16px;
  line-height: 16px;
  list-style-position: inside;
  list-style-type: disc;
  background: white;
  color: #333333;
  // margin-left: -10px;
  // padding-left: -10px;
  a {
    color: #333333;
    text-decoration: none;
    // margin-left: -10px;
  }
  a:hover {
    color: #333333;
    text-decoration: none;
    // margin-left: -10px;
  }
}
.ant-menu:not(.ant-menu-horizontal) .ant-menu-item-selected {
  background-color: white;
  color: #333333;
  margin-left: 0px;
}
.ant-menu-not:hover(.ant-menu-horizontal) .ant-menu-item-selected:hover {
  background-color: white;
  color: #333333;
  margin-left: 0px;
}
.iconReports {
  color: "#333333";
}
.iconReports:hover {
  color: white;
}
.hideOnDesktop {
  @media screen and (min-width: 377px) and (max-width: 4000px) {
    visibility: hidden;
  }
  @media screen and (min-width: 137px) and (max-width: 376px) {
    visibility: visible;
  }
}
.hideOnMobile {
  @media screen and (min-width: 377px) and (max-width: 4000px) {
    visibility: visible;
  }
  @media screen and (min-width: 137px) and (max-width: 610px) {
    visibility: hidden;
  }
}

.sider-btn {
  background-color: white;
  border-color: #db2491;
  color: blue;
}

.sider-btn:hover {
  background-color: black;
  border-color: #db2491;
  color: #db2491;
}
.ant-menu-submenu-title:hover {
  .ant-menu-submenu-arrow::before, .ant-menu-submenu-arrow::after {
      background: #d5007f !important;
  }
}

.ant-layout-sider {
  background-color:  #f0f2f5 !important;
  border-right: 1px solid #999 !important;  
}

.ant-layout-sider-trigger {
    /*width: 50px !important;
    border-radius: 250px;
    margin: 0 200px;*/
    padding: 24 !important;
    position: absolute !important;
    bottom: 0 !important;
    z-index: 1 !important;
    height: 48px !important;
    color: #fff !important;
    line-height: 48px !important;//Centar la flecha
    text-align: center !important;
    background: #d5007f !important; //color del boton
    cursor: pointer !important;
    -webkit-transition: all 0.2s !important;
    transition: all 0.2s !important;
  //poner el boton en la paerte top
    top: 0em;
    right: 50;
    bottom: 3em;
    left: 0;       
    
}

aside.ant-layout-sider-collapsed {
  background: transparent !important;
  flex: none !important;
  min-width: 0 !important;
  width: 0 !important;
}

aside.ant-layout-sider-collapsed ul.ant-menu {
  display: none;
}
aside:not(.ant-layout-sider-collapsed) .ant-layout-sider-trigger {
  margin-left: 205px;
}

.ant-layout-sider-trigger {
  border-radius: 50%;
  margin-top: 20px;
  width: 48px !important;
}

// .ant-layout-sider-zero-width-trigger {
//   /*width: 50px !important;
//     border-radius: 250px;
//     margin: 0 200px;*/
//     padding: 24 !important;
//     position: absolute !important;
//     bottom: 0 !important;
//     z-index: 1 !important;
//     height: 48px !important;
//     color: #fff !important;
//     line-height: 48px !important;//Centar la flecha
//     text-align: center !important;
//     background: #d5007f !important; //color del boton
//     cursor: pointer !important;
//     -webkit-transition: all 0.2s !important;
//     transition: all 0.2s !important;
//   //poner el boton en la paerte top
//     top: 0em;
//     right: 50;
//     bottom: 3em;
//     left: 0;    
// }

.ant-menu-inline.ant-menu-item-selected::after {
  border-right-color: #fff !important;  
}
.ant-menu-item-selected {
  background-color: #fff !important;  
  color: #d5007f !important;  
}
.ant-menu {
  background-color: #f0f2f5 !important;
}
.ant-menu-item:hover {
  color: #d5007f !important;
}
.ant-menu-submenu-title {
  color: #000 !important;
}
.ant-menu-submenu-title:hover {
  color: #d5007f !important;
}



.ant-menu-vertical .ant-menu-item::after, .ant-menu-vertical-left .ant-menu-item::after, .ant-menu-vertical-right .ant-menu-item::after, .ant-menu-inline .ant-menu-item::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  border-right: 3px solid #d5007f;
}